import { Match } from './Match';
import { Token } from './Token';
export declare class Highlighter {
    readonly getTextNodes: () => Node[];
    readonly match: (paragraphs: string[]) => Promise<Token[][]>;
    readonly minBatchTextLength: number;
    matches: Match[];
    constructor(getTextNodes: () => Node[], match: (paragraphs: string[]) => Promise<Token[][]>, minBatchTextLength?: number);
    /**
     * Split given nodes into two groups:
     * - Unchanged: the nodes whose value unchanged since last scan.
     * - Changed and new: the newly found and changed nodes.
     * @param nodes The nodes to group.
     */
    private groupNodes;
    /**
     * Perform `match` for every item and set `item.tokens`.
     * @param items The items to update tokens.
     */
    setTokens(items: Match[]): Promise<void>;
    scan(): Promise<void>;
    updateHighlights(): void;
}
