/// <reference types="react" />
import { Highlighter } from './Highlighter';
import { Token } from './Token';
/**
 * `Highlights` properties.
 */
interface HighlightsProps {
    /**
     * The Highlighter instance.
     */
    highlighter: Highlighter;
    /**
     * Throttle updates, update at most once every specified milliseconds.
     */
    throttleUpdates: number;
    /**
     * The CSS class name for the highlights container.
     */
    className: string;
    onMouseEnterItem: (token: Token, rect: DOMRect, event: Event) => void;
    onMouseLeaveItem: (token: Token, rect: DOMRect, event: Event) => void;
}
export declare const Highlights: (props: HighlightsProps) => JSX.Element;
export {};
