import { Token } from './Token';
/**
 * Start highlighter.
 *
 * @param match The asynchronous function that find tokens
 * in give paragraphs.
 * @param minBatchTextLength Controls how often to invoke the
 * `match` function according to the total number of characters
 * in the paragraphs.
 * @param className The CSS class name for the highlights container.
 * @param throttleUpdates  Throttle updates,
 * update at most once every specified milliseconds.
 */
export declare const start: (match: (paragraphs: string[]) => Promise<Token[][]>, showToken: (token: Token, rect: DOMRect, event: Event) => void, hideToken: (token: Token, rect: DOMRect, event: Event) => void, minBatchTextLength?: number, className?: string, throttleUpdates?: number) => void;
